Loading...
Searching...
No Matches
Board Information Area
Information areas

Definitions related to Board Info Area. More...

Collaboration diagram for Board Information Area:

## Data Structures

struct | fru_board_t
| The exploded representation of board info area. More...

## Enumerations

enum | fru_lang_t { FRU_LANG_DEFAULT , FRU_LANG_ENGLISH }
| Language code definitions as per IPMI FRU Specification, Table 15-1. More...
enum | fru_board_field_t { FRU_BOARD_MFG , FRU_BOARD_PRODNAME , FRU_BOARD_SERIAL , FRU_BOARD_PARTNO , FRU_BOARD_FILE , FRU_BOARD_FIELD_COUNT }
| Indices of mandatory fields in Board Info Area. More...

## Detailed Description

Definitions related to Board Info Area.

## Enumeration Type Documentation

## fru_board_field_t

enum fru_board_field_t

Indices of mandatory fields in Board Info Area.

These values are useful in combination with fru_getfield()

Enumerator
FRU_BOARD_MFG |
FRU_BOARD_PRODNAME |
FRU_BOARD_SERIAL |
FRU_BOARD_PARTNO |
FRU_BOARD_FILE |
FRU_BOARD_FIELD_COUNT |

## fru_lang_t

enum fru_lang_t

Language code definitions as per IPMI FRU Specification, Table 15-1.

Only English is actually supported by the library. Other languages may produce unexpected results during decoding as well as during encoding.

Enumerator
FRU_LANG_DEFAULT | Default Language code, implies English as per Table 15-1.
FRU_LANG_ENGLISH | English language code.